Bug 1005798 - Installer is not seeding s-ramp repo with initial data (ontology+workflow)
Installer is not seeding s-ramp repo with initial data (ontology+workflow)
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER3
: 6.0.0
Assigned To: Thomas Hauser
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 08:15 EDT by Stefan Bunciak
Modified: 2014-03-05 10:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample CLI for DTGov seed data (20.88 KB, application/zip)
2013-09-11 12:26 EDT, Eric Wittmann
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DTGOV-80 Major Closed jBPM-CR3 upgrade breaks loading a workflow from S-RAMP 2014-07-16 21:47:36 EDT

  None (edit)
Description Stefan Bunciak 2013-09-09 08:15:21 EDT
Description of problem:
* Installer is not seeding s-ramp repo with initial data (ontology+workflow).

Version-Release number of selected component (if applicable):
* 6.0.0.ER2

How reproducible:
* Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
* Installer produces 100% usable DTGov+ S-RAMP to be able to create new deployments OOTB.

Additional info:
* Ontology can be deployed maunally by executing manually dtgov-sramp-repo-seed-cli-commands.txt within s-ramp cli
Comment 1 Thomas Hauser 2013-09-09 08:39:40 EDT
This needs to be addressed for the next ER. The installer attempts to run 
java -Xmx1024m -jar bin/s-ramp-shell-0.3.1.Final-redhat-1.jar dtgov-sramp-repo-seed-cli-commands.txt
on the target system, but this does not yet function as expected.
Comment 2 Stefan Bunciak 2013-09-09 09:10:01 EDT
This command cannot succeed until the s-ramp repo is up and won't seed the dtgov workflows as it tries to upload just the deployment ontology. Something like s-ramp:upload <path_to_prepared_worflows> would be needed to be added to dtgov-sramp-repo-seed-cli-commands.txt.

(In reply to Thomas Hauser from comment #1)
> This needs to be addressed for the next ER. The installer attempts to run 
> java -Xmx1024m -jar bin/s-ramp-shell-0.3.1.Final-redhat-1.jar
> dtgov-sramp-repo-seed-cli-commands.txt
> on the target system, but this does not yet function as expected.
Comment 3 Thomas Hauser 2013-09-09 09:16:21 EDT
Thanks for the fast reply Stefan; is there any way for you to comment on this document: https://docspace.corp.redhat.com/docs/DOC-147383 regarding the necessary steps for seeding the dtgov workflows / adding the ontology? See the section regarding DTGov specific command requirements :)
Comment 4 Stefan Bunciak 2013-09-09 11:10:24 EDT
Eric Wittman modified the docspace document and added additional instructions for the DTGov installation.

(In reply to Thomas Hauser from comment #3)
> Thanks for the fast reply Stefan; is there any way for you to comment on
> this document: https://docspace.corp.redhat.com/docs/DOC-147383 regarding
> the necessary steps for seeding the dtgov workflows / adding the ontology?
> See the section regarding DTGov specific command requirements :)
Comment 5 Stefan Bunciak 2013-09-10 09:49:13 EDT
The dtgov post installation instructions did not actually work. I tried to verify them and the dtgow-workflows hasn't been successfully deployed to s-ramp repo, so the SimpleReleaseProcess couldn't start.
Comment 6 Eric Wittmann 2013-09-11 12:26:52 EDT
Created attachment 796451 [details]
Sample CLI for DTGov seed data

The CLI commands I documented in the docspace page *do* work, but unfortunately ER2 has a separate bug that prevents the processes from being loaded.  Kurt is working on that.

However, I have attached a zip that contains a working set of CLI commands (commands.cli) and supporting resources (the .owl file, plus dtgov-workflows.jar and dtgov-workflows.pom).

This attached zip should server as a *sample* of how the seed data could (should?) be handled in ER3+.  I've confirmed that it works in the community, for what that's worth. :)
Comment 7 Kurt T Stam 2013-09-11 12:28:06 EDT
Hi Stefan,

It's not working bc of jBPM-6.0.0-CR3 changes. This works fine on CR1. I'm going to upgrade to the project to CR3 and fix the issue. (see DTGOV-80). I'm thinking you will handle updating the installer part as suggested by Eric (the actual name of this bug). Please let us know.
Comment 8 Eric Wittmann 2013-09-11 12:32:19 EDT
(In reply to Eric Wittmann from comment #6)
> This attached zip should server as a *sample* of how the seed data could
> (should?) be handled in ER3+.

I mentioned this in the docspace documentation, but it bears repeating.  One of the things the CLI commands do is add md5 and sha1 values for the dtgov-workflows.jar and dtgov-workflows.pom artifacts that it uploads to s-ramp.  These hashes are obviously based on the respective file content, so will need to be calculated/generated at "build" time or "install" time.

In other words, we need a way to generate the "commands.cli" file found in the attachment above, such that the md5 and sha1 hashes are included in appropriate CLI commands with proper values.
Comment 9 JBoss JIRA Server 2013-09-11 15:34:57 EDT
Kurt Stam <kurt.stam@jboss.com> made a comment on jira DTGOV-80

I updated the MavenRepository class with the latest (from jBPM-CR3), this does not change the exception

13:40:51,060 INFO  [org.overlord.dtgov.jbpm.util.ApplicationScopedProducer] (ServerService Thread Pool -- 57) Creating KIE container with workflows from org.overlord.dtgov:dtgov-workflows:jar:2.0.0-SNAPSHOT
13:40:51,742 INFO  [com.ning.http.client.providers.netty.NettyAsyncHttpProvider] (pool-15-thread-1) Number of application's worked threads is 16
13:41:51,835 INFO  [com.ning.http.client.providers.netty.NettyAsyncHttpProvider] (pool-18-thread-1) Number of application's worked threads is 16
13:41:52,013 WARN  [org.kie.scanner.MavenClassLoaderResolver] (ServerService Thread Pool -- 57) Dependency artifact not found for: org.jbpm:jbpm-bpmn2:${jbpm.version}
13:41:52,024 INFO  [com.ning.http.client.providers.netty.NettyAsyncHttpProvider] (pool-21-thread-1) Number of application's worked threads is 16
13:42:52,036 INFO  [com.ning.http.client.providers.netty.NettyAsyncHttpProvider] (pool-24-thread-1) Number of application's worked threads is 16
13:42:52,222 WARN  [org.kie.scanner.MavenClassLoaderResolver] (ServerService Thread Pool -- 57) Dependency artifact not found for: org.drools:drools-compiler:${drools.version}
13:42:52,254 INFO  [com.ning.http.client.providers.netty.NettyAsyncHttpProvider] (pool-27-thread-1) Number of application's worked threads is 16
13:43:52,267 INFO  [com.ning.http.client.providers.netty.NettyAsyncHttpProvider] (pool-30-thread-1) Number of application's worked threads is 16
13:43:52,433 WARN  [org.kie.scanner.MavenClassLoaderResolver] (ServerService Thread Pool -- 57) Dependency artifact not found for: org.kie:kie-api:${drools.version}
13:43:52,436 ERROR [org.overlord.dtgov.jbpm.util.ApplicationScopedProducer] (ServerService Thread Pool -- 57) Could not find or read the SRAMPPackage
13:43:52,436 ERROR [org.overlord.dtgov.jbpm.util.ApplicationScopedProducer] (ServerService Thread Pool -- 57) null: java.lang.NullPointerException
	at sun.net.util.URLUtil.urlNoFragString(URLUtil.java:29) [classes.jar:1.6.0_51]
	at sun.misc.URLClassPath.getLoader(URLClassPath.java:296) [classes.jar:1.6.0_51]
	at sun.misc.URLClassPath.access$000(URLClassPath.java:60) [classes.jar:1.6.0_51]
	at sun.misc.URLClassPath$1.next(URLClassPath.java:199) [classes.jar:1.6.0_51]
	at sun.misc.URLClassPath$1.hasMoreElements(URLClassPath.java:210) [classes.jar:1.6.0_51]
	at java.net.URLClassLoader$3$1.run(URLClassLoader.java:416) [classes.jar:1.6.0_51]
	at java.security.AccessController.doPrivileged(Native Method) [classes.jar:1.6.0_51]
	at java.net.URLClassLoader$3.next(URLClassLoader.java:413) [classes.jar:1.6.0_51]
	at java.net.URLClassLoader$3.hasMoreElements(URLClassLoader.java:438) [classes.jar:1.6.0_51]
	at sun.misc.CompoundEnumeration.next(CompoundEnumeration.java:27) [classes.jar:1.6.0_51]
	at sun.misc.CompoundEnumeration.hasMoreElements(CompoundEnumeration.java:36) [classes.jar:1.6.0_51]
	at sun.misc.CompoundEnumeration.next(CompoundEnumeration.java:27) [classes.jar:1.6.0_51]
	at sun.misc.CompoundEnumeration.hasMoreElements(CompoundEnumeration.java:36) [classes.jar:1.6.0_51]
	at org.kie.internal.utils.ChainedProperties.loadProperties(ChainedProperties.java:240) [kie-internal-6.0.0.CR3.jar:6.0.0.CR3]
	at org.kie.internal.utils.ChainedProperties.<init>(ChainedProperties.java:92) [kie-internal-6.0.0.CR3.jar:6.0.0.CR3]
	at org.drools.compiler.compiler.PackageBuilderConfiguration.init(PackageBuilderConfiguration.java:201) [drools-compiler-6.0.0.CR3.jar:6.0.0.CR3]
	at org.drools.compiler.compiler.PackageBuilderConfiguration.init(PackageBuilderConfiguration.java:196) [drools-compiler-6.0.0.CR3.jar:6.0.0.CR3]
	at org.drools.compiler.compiler.PackageBuilderConfiguration.<init>(PackageBuilderConfiguration.java:152) [drools-compiler-6.0.0.CR3.jar:6.0.0.CR3]
	at org.drools.compiler.kie.builder.impl.AbstractKieModule.buildKnowledgePackages(AbstractKieModule.java:167) [drools-compiler-6.0.0.CR3.jar:6.0.0.CR3]
	at org.drools.compiler.kie.builder.impl.AbstractKieProject.verify(AbstractKieProject.java:39) [drools-compiler-6.0.0.CR3.jar:6.0.0.CR3]
	at org.drools.compiler.kie.builder.impl.KieBuilderImpl.buildKieModule(KieBuilderImpl.java:297) [drools-compiler-6.0.0.CR3.jar:6.0.0.CR3]
	at org.kie.scanner.KieRepositoryScannerImpl.build(KieRepositoryScannerImpl.java:152) [kie-ci-6.0.0.CR3.jar:6.0.0.CR3]
	at org.kie.scanner.KieRepositoryScannerImpl.buildArtifact(KieRepositoryScannerImpl.java:107) [kie-ci-6.0.0.CR3.jar:6.0.0.CR3]
	at org.kie.scanner.KieRepositoryScannerImpl.loadArtifact(KieRepositoryScannerImpl.java:88) [kie-ci-6.0.0.CR3.jar:6.0.0.CR3]
	at org.kie.scanner.KieRepositoryScannerImpl.loadArtifact(KieRepositoryScannerImpl.java:81) [kie-ci-6.0.0.CR3.jar:6.0.0.CR3]
	at org.drools.compiler.kie.builder.impl.KieRepositoryImpl.loadKieModuleFromMavenRepo(KieRepositoryImpl.java:104) [drools-compiler-6.0.0.CR3.jar:6.0.0.CR3]
	at org.drools.compiler.kie.builder.impl.KieRepositoryImpl.getKieModule(KieRepositoryImpl.java:90) [drools-compiler-6.0.0.CR3.jar:6.0.0.CR3]
	at org.drools.compiler.kie.builder.impl.KieRepositoryImpl.getKieModule(KieRepositoryImpl.java:71) [drools-compiler-6.0.0.CR3.jar:6.0.0.CR3]
	at org.drools.compiler.kie.builder.impl.KieServicesImpl.newKieContainer(KieServicesImpl.java:82) [drools-compiler-6.0.0.CR3.jar:6.0.0.CR3]
	at org.overlord.dtgov.jbpm.util.ApplicationScopedProducer.getKieBase(ApplicationScopedProducer.java:116) [classes:]
	at org.overlord.dtgov.jbpm.util.ApplicationScopedProducer.produceEnvironment(ApplicationScopedProducer.java:86) [classes:]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [classes.jar:1.6.0_51]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) [classes.jar:1.6.0_51]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) [classes.jar:1.6.0_51]
	at java.lang.reflect.Method.invoke(Method.java:597) [classes.jar:1.6.0_51]
	at org.jboss.weld.util.reflection.SecureReflections$13.work(SecureReflections.java:267) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflectionAccess.run(SecureReflectionAccess.java:52) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflectionAccess.runAsInvocation(SecureReflectionAccess.java:137) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflections.invoke(SecureReflections.java:263) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.introspector.jlr.WeldMethodImpl.invokeOnInstance(WeldMethodImpl.java:170) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.injection.MethodInjectionPoint.invokeOnInstance(MethodInjectionPoint.java:137) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.bean.ProducerMethod$ProducerMethodProducer.produce(ProducerMethod.java:136) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.bean.AbstractProducerBean$AbstractProducer.produce(AbstractProducerBean.java:319) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.bean.AbstractProducerBean.create(AbstractProducerBean.java:307) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.context.unbound.DependentContextImpl.get(DependentContextImpl.java:68) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.manager.BeanManagerImpl.getReference(BeanManagerImpl.java:608) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.manager.BeanManagerImpl.getReference(BeanManagerImpl.java:635) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.bean.builtin.InstanceImpl.get(InstanceImpl.java:107) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jbpm.runtime.manager.impl.cdi.RuntimeManagerProducer.newSingletonRuntimeManager(RuntimeManagerProducer.java:66) [jbpm-runtime-manager-6.0.0.CR3.jar:6.0.0.CR3]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [classes.jar:1.6.0_51]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) [classes.jar:1.6.0_51]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) [classes.jar:1.6.0_51]
	at java.lang.reflect.Method.invoke(Method.java:597) [classes.jar:1.6.0_51]
	at org.jboss.weld.util.reflection.SecureReflections$13.work(SecureReflections.java:267) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflectionAccess.run(SecureReflectionAccess.java:52) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflectionAccess.runAsInvocation(SecureReflectionAccess.java:137) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflections.invoke(SecureReflections.java:263) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.introspector.jlr.WeldMethodImpl.invokeOnInstance(WeldMethodImpl.java:170) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.injection.MethodInjectionPoint.invokeOnInstance(MethodInjectionPoint.java:137) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.bean.ProducerMethod$ProducerMethodProducer.produce(ProducerMethod.java:136) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.bean.AbstractProducerBean$AbstractProducer.produce(AbstractProducerBean.java:319) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.bean.AbstractProducerBean.create(AbstractProducerBean.java:307) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.context.unbound.DependentContextImpl.get(DependentContextImpl.java:68) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.manager.BeanManagerImpl.getReference(BeanManagerImpl.java:608) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.manager.BeanManagerImpl.getReference(BeanManagerImpl.java:674) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.injection.FieldInjectionPoint.inject(FieldInjectionPoint.java:134) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.util.Beans.injectBoundFields(Beans.java:763) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.util.Beans.injectFieldsAndInitializers(Beans.java:772) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.bean.SessionBean$SessionBeanInjectionTarget$1.proceed(SessionBean.java:179) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.injection.InjectionContextImpl.run(InjectionContextImpl.java:48) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.weld.bean.SessionBean$SessionBeanInjectionTarget.inject(SessionBean.java:176) [weld-core-1.1.13.Final-redhat-1.jar:1.1.13.Final-redhat-1]
	at org.jboss.as.weld.injection.WeldEEInjection.inject(WeldEEInjection.java:78) [jboss-as-weld-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.weld.injection.WeldInjectionInterceptor.processInvocation(WeldInjectionInterceptor.java:60) [jboss-as-weld-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.as.ee.component.ManagedReferenceFieldInjectionInterceptorFactory$ManagedReferenceFieldInjectionInterceptor.processInvocation(ManagedReferenceFieldInjectionInterceptorFactory.java:115) [jboss-as-ee-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.as.ee.component.ManagedReferenceInterceptorFactory$ManagedReferenceInterceptor.processInvocation(ManagedReferenceInterceptorFactory.java:95) [jboss-as-ee-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50) [jboss-as-ee-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.as.ejb3.tx.EjbBMTInterceptor.handleInvocation(EjbBMTInterceptor.java:104) [jboss-as-ejb3-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.ejb3.tx.BMTInterceptor.processInvocation(BMTInterceptor.java:56) [jboss-as-ejb3-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [jboss-as-ejb3-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.as.ee.component.TCCLInterceptor.processInvocation(TCCLInterceptor.java:45) [jboss-as-ee-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.as.ee.component.BasicComponent.constructComponentInstance(BasicComponent.java:161) [jboss-as-ee-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.ee.component.BasicComponent.createInstance(BasicComponent.java:85) [jboss-as-ee-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.ejb3.component.singleton.SingletonComponent.getComponentInstance(SingletonComponent.java:126) [jboss-as-ejb3-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.ejb3.component.singleton.SingletonComponent.start(SingletonComponent.java:141) [jboss-as-ejb3-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.ee.component.ComponentStartService$1.run(ComponentStartService.java:54) [jboss-as-ee-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:439) [classes.jar:1.6.0_51]
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303) [classes.jar:1.6.0_51]
	at java.util.concurrent.FutureTask.run(FutureTask.java:138) [classes.jar:1.6.0_51]
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:895) [classes.jar:1.6.0_51]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:918) [classes.jar:1.6.0_51]
	at java.lang.Thread.run(Thread.java:680) [classes.jar:1.6.0_51]
	at org.jboss.threads.JBossThread.run(JBossThread.java:122) [jboss-threads-2.1.0.Final.jar:2.1.0.Final]


It finds our artifact in S-RAMP but building the KieBase goes wrong.
Comment 10 JBoss JIRA Server 2013-09-12 09:26:28 EDT
Kurt Stam <kurt.stam@jboss.com> updated the status of jira DTGOV-80 to Resolved
Comment 11 JBoss JIRA Server 2013-09-12 09:26:28 EDT
Kurt Stam <kurt.stam@jboss.com> made a comment on jira DTGOV-80

In jBPM-6.0.0-CR3 they now lookup the dependencies in the maven repo as well. I removed our dependencies from the dtgov-workflows since they were there only for build time validation reasons. This solves the issue.

I see three flaws in this CR3 changes:
- they should not be looking for dependencies scoped as 'provided'
- if not found it should not result in a NPE
- imo an KIE jar should be self-contained. 

I will bring these flaws up with the Drools team.
Comment 12 Kurt T Stam 2013-09-12 09:35:29 EDT
Stefan, fix is applied, you will take care of the prod installer?
Comment 13 Stefan Bunciak 2013-09-16 05:10:57 EDT
(In reply to Kurt T Stam from comment #12)
> Stefan, fix is applied, you will take care of the prod installer?

Thomas should probably take care of updating the prod installer, I can then verify.
Comment 14 JBoss JIRA Server 2013-09-17 11:50:04 EDT
Kurt Stam <kurt.stam@jboss.com> updated the status of jira DTGOV-80 to Closed
Comment 15 Thomas Hauser 2013-09-20 15:41:39 EDT
The installer will upload the ontology, but the user must invoke maven to upload the workflows at this time.
Comment 16 Stefan Bunciak 2013-09-23 05:35:34 EDT
Verified in S-RAMP 6.0.0.ER3. Ontology is deployed but for missing workflows is created a new BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1010822. This needs to be fixed.
Comment 20 JBoss JIRA Server 2014-03-05 10:40:58 EST
Eric Wittmann <eric.wittmann@redhat.com> updated the status of jira DTGOV-80 to Reopened
Comment 21 JBoss JIRA Server 2014-03-05 10:45:54 EST
Eric Wittmann <eric.wittmann@redhat.com> updated the status of jira DTGOV-80 to Closed

Note You need to log in before you can comment on or make changes to this bug.